summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Dimitris Zlatanidis <d.zlatanidis@gmail.com>2014-03-07 16:15:00 -0600
committer Erik Hanson <erik@slackbuilds.org>2014-03-07 16:29:10 -0600
commit72ed6abb236f548ac8317b74eacc1bfd261d0f12 (patch)
tree1399c6a29e42232b7ca9505bfdea1caf4d4c29ce
parenta6be2f13b8f135d417219e175cd8b0762bcb73b2 (diff)
downloadslackbuilds-72ed6abb236f548ac8317b74eacc1bfd261d0f12.tar.gz
slackbuilds-72ed6abb236f548ac8317b74eacc1bfd261d0f12.tar.xz
games/boswars: Added (Real time strategy game)
Signed-off-by: Erik Hanson <erik@slackbuilds.org>
-rw-r--r--games/boswars/README4
-rw-r--r--games/boswars/boswars.SlackBuild107
-rw-r--r--games/boswars/boswars.desktop10
-rw-r--r--games/boswars/boswars.info10
-rw-r--r--games/boswars/doinst.sh8
-rw-r--r--games/boswars/slack-desc19
6 files changed, 158 insertions, 0 deletions
diff --git a/games/boswars/README b/games/boswars/README
new file mode 100644
index 0000000000..d454a1e7fc
--- /dev/null
+++ b/games/boswars/README
@@ -0,0 +1,4 @@
+Bos Wars is a futuristic real-time strategy game featuring a dynamic
+rate-based economy. Resources are continuously produced while also being
+consumed by creating buildings and training new units. Bos Wars aims to
+create a completely original and fun open source RTS game.
diff --git a/games/boswars/boswars.SlackBuild b/games/boswars/boswars.SlackBuild
new file mode 100644
index 0000000000..3eefb127b1
--- /dev/null
+++ b/games/boswars/boswars.SlackBuild
@@ -0,0 +1,107 @@
+#!/bin/sh
+
+# Slackware build script for boswars
+
+# Copyright 2014 Dimitris Zlatanidis Greece-Orestiada
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=boswars
+VERSION=${VERSION:-2.7}
+SRCVERSION=$(echo $VERSION-src)
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$SRCVERSION
+tar xvf $CWD/$PRGNAM-$SRCVERSION.tar.gz
+cd $PRGNAM-$SRCVERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+./make.py
+
+mkdir -p $PKG/usr/share/games/$PRGNAM-$VERSION
+cp -rf campaigns $PKG/usr/share/games/$PRGNAM-$VERSION
+cp -rf engine $PKG/usr/share/games/$PRGNAM-$VERSION
+cp -rf fbuild/release/* $PKG/usr/share/games/$PRGNAM-$VERSION
+cp -rf graphics $PKG/usr/share/games/$PRGNAM-$VERSION
+cp -rf intro $PKG/usr/share/games/$PRGNAM-$VERSION
+cp -rf languages $PKG/usr/share/games/$PRGNAM-$VERSION
+cp -rf maps $PKG/usr/share/games/$PRGNAM-$VERSION
+cp -rf patches $PKG/usr/share/games/$PRGNAM-$VERSION
+cp -rf scripts $PKG/usr/share/games/$PRGNAM-$VERSION
+cp -rf sounds $PKG/usr/share/games/$PRGNAM-$VERSION
+cp -rf tools $PKG/usr/share/games/$PRGNAM-$VERSION
+cp -rf units $PKG/usr/share/games/$PRGNAM-$VERSION
+
+mkdir -p $PKG/usr/share/applications
+install -D -m644 $CWD/$PRGNAM.desktop $PKG/usr/share/applications/$PRGNAM.desktop
+
+mkdir -p $PKG/usr/share/pixmaps/
+install -D -m644 intro/logo_boswars.png $PKG/usr/share/pixmaps/$PRGNAM.svg
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a CHANGELOG *.txt doc/* $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/boswars/boswars.desktop b/games/boswars/boswars.desktop
new file mode 100644
index 0000000000..dd7c976b2f
--- /dev/null
+++ b/games/boswars/boswars.desktop
@@ -0,0 +1,10 @@
+[Desktop Entry]
+Name=Bos Wars
+Name[he]= Bos Wars
+Comment=RTS
+Exec=/usr/share/games/boswars-2.7/boswars -d /usr/share/games/boswars-2.7
+Icon=boswars
+Terminal=false
+Type=Application
+Categories=Game;RTS
+GenericName=Game
diff --git a/games/boswars/boswars.info b/games/boswars/boswars.info
new file mode 100644
index 0000000000..e10d07af00
--- /dev/null
+++ b/games/boswars/boswars.info
@@ -0,0 +1,10 @@
+PRGNAM="boswars"
+VERSION="2.7"
+HOMEPAGE="http://www.boswars.org"
+DOWNLOAD="http://www.boswars.org/dist/releases/boswars-2.7-src.tar.gz"
+MD5SUM="ffb7423a27e1821ab12ca7283f932cbf"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="lua"
+MAINTAINER="Dimitris Zlatanidis"
+EMAIL="d.zlatanidis@gmail.com"
diff --git a/games/boswars/doinst.sh b/games/boswars/doinst.sh
new file mode 100644
index 0000000000..6d0874997e
--- /dev/null
+++ b/games/boswars/doinst.sh
@@ -0,0 +1,8 @@
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/games/boswars/slack-desc b/games/boswars/slack-desc
new file mode 100644
index 0000000000..d32ff8a018
--- /dev/null
+++ b/games/boswars/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+boswars: boswars (Real time strategy game)
+boswars:
+boswars: Bos Wars is a futuristic real time strategy game (RTS).
+boswars: In a RTS game, the player has to combat his enemies while
+boswars: developing his war economy.
+boswars:
+boswars: Homepage: http://www.boswars.org
+boswars:
+boswars:
+boswars:
+boswars: